functional_collections 0.3.0
functional_collections: ^0.3.0 copied to clipboard

Functional collections are immutable, adding or removing items efficiently creates a new collection. You can choose from: `FOption`, `FList`, `FSet`, `FMap`, `FTuple`.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add functional_collections

With Flutter:

 $ flutter pub add functional_collections

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):


dependencies:
  functional_collections: ^0.3.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:functional_collections/functional_collections.dart';
1
likes
90
pub points
0%
popularity

Functional collections are immutable, adding or removing items efficiently creates a new collection. You can choose from: `FOption`, `FList`, `FSet`, `FMap`, `FTuple`.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

svarzee@gmail.com

License

BSD (LICENSE)

More

Packages that depend on functional_collections